Bug 33146 - kudzu dumps core
kudzu dumps core
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-25 19:40 EST by Chris Ricker
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-26 01:26:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of ltrace -S (393.82 KB, application/octet-stream)
2001-03-26 01:24 EST, Chris Ricker
no flags Details
output of ltrace -S -L (20.52 KB, text/plain)
2001-03-26 01:25 EST, Chris Ricker
no flags Details
output of strace -f (23.40 KB, text/plain)
2001-03-26 01:26 EST, Chris Ricker
no flags Details

  None (edit)
Description Chris Ricker 2001-03-25 19:40:14 EST
I just upgraded from 7.0 to qa0322 + a custom kernel (2.4.3-pre6).  Kudzu
segfaults on startup:

Checking for new hardware/etc/init.d/kudzu: line 78:  7508 Segmentation
fault      (core dumped) /usr/sbin/kudzu $KUDZU_ARGS -t 30
                                                           [FAILED]

core dump attached (in a minute)
Comment 1 Chris Ricker 2001-03-25 19:54:27 EST
Actually, I won't attach the core file, since mozilla times out whenever I try.
 I'm not sure if the problem is mozilla or bugzilla (the core file is 950k, so
perhaps its hitting a resource limit?)
Comment 2 Bill Nottingham 2001-03-25 21:58:45 EST
Exactly what version of kudzu do you have installed?
Comment 3 Chris Ricker 2001-03-25 22:18:53 EST
kudzu-0.98.5-1
Comment 4 Bill Nottingham 2001-03-25 23:49:17 EST
I'm assuming this is reproducible from the command line. ltrace -S output?
(if it's too big, mail it directly.)
Comment 5 Chris Ricker 2001-03-26 01:24:17 EST
Created attachment 13623 [details]
output of ltrace -S
Comment 6 Chris Ricker 2001-03-26 01:25:42 EST
Created attachment 13624 [details]
output of ltrace -S -L
Comment 7 Chris Ricker 2001-03-26 01:26:32 EST
Created attachment 13625 [details]
output of strace -f
Comment 8 Bill Nottingham 2001-03-26 11:08:56 EST
Will be fixed in 0.98.6-1; thanks!

Note You need to log in before you can comment on or make changes to this bug.